CRMchat APIBeta
Telegram APIMessages

messages.composeMessageWithAI

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.composeMessageWithAI

Invokes telegram's AI Editor that can translate, transform, fixup and/or emojify your message in a number of different ways, privately powered by Cocoon, see here » for more info! All of the modes specified below can be combined.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Invokes telegram's AI Editor that can translate, transform, fixup and/or emojify your message in a number of different ways, privately powered by Cocoon, see here » for more info! All of the modes specified below can be combined.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.composeMessageWithAI" \  -H "Content-Type: application/json" \  -d '{    "params": {      "text": {        "_": "textWithEntities",        "text": "string",        "entities": [          {            "_": "messageEntityUnknown",            "offset": 0,            "length": 0          }        ]      }    }  }'
{  "result": {    "_": "messages.composedMessageWithAI",    "resultText": {      "_": "textWithEntities",      "text": "string",      "entities": [        {          "_": "messageEntityUnknown",          "offset": 0,          "length": 0        }      ]    },    "diffText": {      "_": "textWithEntities",      "text": "string",      "entities": [        {          "_": "messageEntityUnknown",          "offset": 0,          "length": 0        }      ]    }  }}